NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.RapidSurfaceBuilder Class Reference

Represents a NXOpen.Features.RapidSurface builder More...

Inheritance diagram for NXOpen.Features.RapidSurfaceBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AttachmentTypes { FacetBody, None }
 the attachment types More...
 
enum  LoopTypes { FourSided, ThreeSided }
 the subdivision loop types More...
 
enum  OperationTypes { DrawOnFacetBody, DrawOnBoundary, ImportCurves, SubdivideLoop }
 the operation types More...
 

Public Member Functions

unsafe void AcceptNewFacetBody ()
 Accepts new facet body More...
 
unsafe void AcceptSubdivision ()
 Accepts subdivision More...
 
unsafe NXOpen.Spline AskEdge (int edgeIndex)
 Asks an edge in the current curve network More...
 
unsafe int AskEdgeCount ()
 Asks edge count in the current curve network More...
 
unsafe void ConnectCurve ()
 Accepts connect curve More...
 
unsafe void CreateAnimationPolyline ()
 Creates animation polyline More...
 
unsafe void CreateBoundaryCurve ()
 Creates boundary curve More...
 
unsafe NXOpen.Point[] CreateNodePoints ()
 Creates points to record every mesh node More...
 
unsafe void DeleteCurve ()
 Deletes curve More...
 
unsafe void DeleteNode (NXOpen.Point point)
 Deletes node More...
 
unsafe void DragCurvePoint ()
 Drags curve point More...
 
unsafe void DrawBoundaryCurve ()
 Draws boundary curve More...
 
unsafe void DrawCurve ()
 Draws curve More...
 
unsafe NXOpen.Point GetNode (int nodeIndex)
 Gets a node in the current curve network More...
 
unsafe int GetNodeCount ()
 Gets node count in the current curve network More...
 
unsafe void ImportCurve ()
 Imports curve More...
 
unsafe void MoveNode (NXOpen.Point point, NXOpen.Point3d newPosition)
 Moves node More...
 
unsafe void ReprojectEdgesAfterMoveNode ()
 Reprojects edges after move node More...
 
unsafe void ResetAnimationPolyline ()
 Resets animation polyline More...
 
unsafe void SetADefinePoint (int index, double xx, double yy, double zz, int facetID)
 Set a define point (pre-NX6) More...
 
unsafe void SetDefiningPoint (int index, NXOpen.Point3d coordination, int facetID)
 Sets a defining point More...
 
unsafe void SetNumberOfDefinePoints (int number)
 Set number of define points (pre-NX6) More...
 
unsafe void SetNumberOfDefiningPoints (int number)
 Sets number of defining points More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Features.RapidSurfaceBuilder.AttachmentTypes 
AttachmentType [get, set]
 Returns or sets the attachment type More...
 
unsafe
NXOpen.SelectDisplayableObject 
Body [get]
 Returns the facet body. More...
 
unsafe
NXOpen.Features.GeometricConstraintDataSetManager 
BoundaryPointSetManager [get]
 Returns the boundary point set manager More...
 
unsafe NXOpen.SelectCurveList ConnectCurves [get]
 Returns the connect curves More...
 
unsafe
NXOpen.Features.GeometricConstraintDataSetManager 
ConstraintSetManager [get]
 Returns the constraint set manager More...
 
unsafe int Degree [get, set]
 Returns or sets the degree More...
 
unsafe NXOpen.SelectCurveList DeleteCurves [get]
 Returns the delete curves More...
 
unsafe NXOpen.SelectCurve DragCurve [get]
 Returns the drag curve More...
 
unsafe
NXOpen.Features.GeometricConstraintDataSetManager 
DragCurvePointManager [get]
 Returns the curve used for drag curve point More...
 
unsafe
NXOpen.Facet.SelectFacetedBody 
FacetBody [get]
 Returns the facet body More...
 
unsafe NXOpen.SelectCurveList ImportCurves [get]
 Returns the import curves More...
 
unsafe
NXOpen.Features.RapidSurfaceBuilder.LoopTypes 
LoopType [get, set]
 Returns or sets the subdivision loop type More...
 
unsafe double NodeTolerance [get, set]
 Returns or sets the node tolerance More...
 
unsafe
NXOpen.Features.RapidSurfaceBuilder.OperationTypes 
OperationType [get, set]
 Returns or sets the operation type More...
 
unsafe NXOpen.Direction ProjectDirection [get, set]
 Returns or sets the projection direction More...
 
unsafe int Segments [get, set]
 Returns or sets the segments More...
 
unsafe int Smoothness [get, set]
 Returns or sets the smoothness More...
 
unsafe NXOpen.SelectCurve ULoopCurve [get]
 Returns the loop curve(U) More...
 
unsafe int UPatches [get, set]
 Returns or sets the patches(U) More...
 
unsafe NXOpen.SelectCurve VLoopCurve [get]
 Returns the loop curve(V) More...
 
unsafe int VPatches [get, set]
 Returns or sets the patches(V) More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.RapidSurface builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateRapidSurfaceBuilder

Default values.

Property Value

AttachmentType

FacetBody

Degree

3

LoopType

FourSided

NodeTolerance

1.0

Segments

10

Smoothness

100

UPatches

2

VPatches

2

Created in NX5.0.0

Member Enumeration Documentation

the attachment types

Enumerator
FacetBody 

attach to facet body

None 

attach to nothing

the subdivision loop types

Enumerator
FourSided 

subdivide four sided loops

ThreeSided 

subdivide three sided loops

the operation types

Enumerator
DrawOnFacetBody 

draw on facet body

DrawOnBoundary 

draw on boundary

ImportCurves 

import curves

SubdivideLoop 

subdivide loop

Member Function Documentation

unsafe void NXOpen.Features.RapidSurfaceBuilder.AcceptNewFacetBody ( )
inline

Accepts new facet body

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.AcceptSubdivision ( )
inline

Accepts subdivision

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Spline NXOpen.Features.RapidSurfaceBuilder.AskEdge ( int  edgeIndex)
inline

Asks an edge in the current curve network

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
edgeIndexEdge Index
Returns
unsafe int NXOpen.Features.RapidSurfaceBuilder.AskEdgeCount ( )
inline

Asks edge count in the current curve network

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Returns
unsafe void NXOpen.Features.RapidSurfaceBuilder.ConnectCurve ( )
inline

Accepts connect curve

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.CreateAnimationPolyline ( )
inline

Creates animation polyline

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.CreateBoundaryCurve ( )
inline

Creates boundary curve

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Point [] NXOpen.Features.RapidSurfaceBuilder.CreateNodePoints ( )
inline

Creates points to record every mesh node

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Returns
unsafe void NXOpen.Features.RapidSurfaceBuilder.DeleteCurve ( )
inline

Deletes curve

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.DeleteNode ( NXOpen.Point  point)
inline

Deletes node

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
pointPoint
unsafe void NXOpen.Features.RapidSurfaceBuilder.DragCurvePoint ( )
inline

Drags curve point

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.DrawBoundaryCurve ( )
inline

Draws boundary curve

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.DrawCurve ( )
inline

Draws curve

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Point NXOpen.Features.RapidSurfaceBuilder.GetNode ( int  nodeIndex)
inline

Gets a node in the current curve network

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
nodeIndexNode Index
Returns
unsafe int NXOpen.Features.RapidSurfaceBuilder.GetNodeCount ( )
inline

Gets node count in the current curve network

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Returns
unsafe void NXOpen.Features.RapidSurfaceBuilder.ImportCurve ( )
inline

Imports curve

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.MoveNode ( NXOpen.Point  point,
NXOpen.Point3d  newPosition 
)
inline

Moves node

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
pointPoint
newPositionthe new position the point move to
unsafe void NXOpen.Features.RapidSurfaceBuilder.ReprojectEdgesAfterMoveNode ( )
inline

Reprojects edges after move node

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.ResetAnimationPolyline ( )
inline

Resets animation polyline

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe void NXOpen.Features.RapidSurfaceBuilder.SetADefinePoint ( int  index,
double  xx,
double  yy,
double  zz,
int  facetID 
)
inline

Set a define point (pre-NX6)

Created in NX5.0.0

Deprecated in NX6.0.0. Use NXOpen.Features.RapidSurfaceBuilder.SetDefiningPoint instead.

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
indexIndex of Defined Point
xxXC of Defined Point
yyYC of Defined Point
zzZC of Defined Point
facetIDFacet ID of Defined Point
unsafe void NXOpen.Features.RapidSurfaceBuilder.SetDefiningPoint ( int  index,
NXOpen.Point3d  coordination,
int  facetID 
)
inline

Sets a defining point

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
indexIndex of Defined Point
coordinationx,y,z coordination of Defined Point
facetIDFacet ID of Defined Point
unsafe void NXOpen.Features.RapidSurfaceBuilder.SetNumberOfDefinePoints ( int  number)
inline

Set number of define points (pre-NX6)

Created in NX5.0.0

Deprecated in NX6.0.0. Use NXOpen.Features.RapidSurfaceBuilder.SetNumberOfDefiningPoints instead.

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
numberNumber of Defined Points
unsafe void NXOpen.Features.RapidSurfaceBuilder.SetNumberOfDefiningPoints ( int  number)
inline

Sets number of defining points

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

Parameters
numberNumber of Defined Points

Property Documentation

unsafe NXOpen.Features.RapidSurfaceBuilder.AttachmentTypes NXOpen.Features.RapidSurfaceBuilder.AttachmentType
getset

Returns or sets the attachment type

Created in NX6.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.RapidSurfaceBuilder.Body
get

Returns the facet body.

Inputs to this command can be convergent objects.

Created in NX11.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.GeometricConstraintDataSetManager NXOpen.Features.RapidSurfaceBuilder.BoundaryPointSetManager
get

Returns the boundary point set manager

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectCurveList NXOpen.Features.RapidSurfaceBuilder.ConnectCurves
get

Returns the connect curves

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.GeometricConstraintDataSetManager NXOpen.Features.RapidSurfaceBuilder.ConstraintSetManager
get

Returns the constraint set manager

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Features.RapidSurfaceBuilder.Degree
getset

Returns or sets the degree

Created in NX5.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectCurveList NXOpen.Features.RapidSurfaceBuilder.DeleteCurves
get

Returns the delete curves

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectCurve NXOpen.Features.RapidSurfaceBuilder.DragCurve
get

Returns the drag curve

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.GeometricConstraintDataSetManager NXOpen.Features.RapidSurfaceBuilder.DragCurvePointManager
get

Returns the curve used for drag curve point

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Facet.SelectFacetedBody NXOpen.Features.RapidSurfaceBuilder.FacetBody
get

Returns the facet body

Created in NX5.0.0

Deprecated in NX11.0.0. Use NXOpen.Features.RapidSurfaceBuilder.Body instead.

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectCurveList NXOpen.Features.RapidSurfaceBuilder.ImportCurves
get

Returns the import curves

Created in NX5.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.RapidSurfaceBuilder.LoopTypes NXOpen.Features.RapidSurfaceBuilder.LoopType
getset

Returns or sets the subdivision loop type

Created in NX6.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe double NXOpen.Features.RapidSurfaceBuilder.NodeTolerance
getset

Returns or sets the node tolerance

Created in NX6.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Features.RapidSurfaceBuilder.OperationTypes NXOpen.Features.RapidSurfaceBuilder.OperationType
getset

Returns or sets the operation type

Created in NX6.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.Direction NXOpen.Features.RapidSurfaceBuilder.ProjectDirection
getset

Returns or sets the projection direction

Created in NX5.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Features.RapidSurfaceBuilder.Segments
getset

Returns or sets the segments

Created in NX5.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Features.RapidSurfaceBuilder.Smoothness
getset

Returns or sets the smoothness

Created in NX5.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectCurve NXOpen.Features.RapidSurfaceBuilder.ULoopCurve
get

Returns the loop curve(U)

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Features.RapidSurfaceBuilder.UPatches
getset

Returns or sets the patches(U)

Created in NX6.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")

unsafe NXOpen.SelectCurve NXOpen.Features.RapidSurfaceBuilder.VLoopCurve
get

Returns the loop curve(V)

Created in NX6.0.0

License requirements: nx_freeform_2 ("advanced freeform modeling")

unsafe int NXOpen.Features.RapidSurfaceBuilder.VPatches
getset

Returns or sets the patches(V)

Created in NX6.0.0

License requirements to get this property: nx_freeform_2 ("advanced freeform modeling")

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.